AssertionBuilderRegistry (Apache CXF API 2.3.9 API)
Keywords: org.apache.cxf.ws.policy.AssertionBuilderRegistry interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy
Interface AssertionBuilderRegistry

All Superinterfaces:
  Registry<QName,AssertionBuilder>

    public interface AssertionBuilderRegistry

extends Registry<QName,AssertionBuilder>

AssertionBuilderRegistry is used to manage AssertionBuilders and create Assertion objects from given xml elements.

Method Summary
`PolicyAssertion` | `build(Element element)` Returns an assertion that is built using the specified xml element.
`boolean` | `isIgnoreUnknownAssertions()` Indicates if unknown assertions should simply be ignored.
`void` | `register(AssertionBuilder builder)` Register the builder for all qnames from the builders getKnownElements call.
`void` | `setIgnoreUnknownAssertions(boolean ignoreUnknownAssertions)` Indicates if unknown assertions should simply be ignored.

Methods inherited from interface org.apache.cxf.extension.Registry
`get, register, unregister`

Method Detail

### register

    void register(AssertionBuilder builder)

  Register the builder for all qnames from the builders getKnownElements call.

  Parameters:
    `builder` - the builder to register

### build

    PolicyAssertion build(Element element)

  Returns an assertion that is built using the specified xml element.

  Parameters:
    `element` - the element from which to build an Assertion.
  Returns:
    an Assertion that is built using the specified element.

### isIgnoreUnknownAssertions

    boolean isIgnoreUnknownAssertions()

  Indicates if unknown assertions should simply be ignored. If set to false, the policy engine will throw an exception upon encountering an assertion type for which no AssertionBuilder has been registered.

  Returns:
    false if unknown assertions will result in an exception

### setIgnoreUnknownAssertions

    void setIgnoreUnknownAssertions(boolean ignoreUnknownAssertions)

  Indicates if unknown assertions should simply be ignored. If set to false, the policy engine will throw an exception upon encountering an assertion type for which no AssertionBuilder has been registered.

  Parameters:
    `ignoreUnknownAssertions` - iff unknown assertions should be ignored

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF